# This file is a template, and might need editing before it works on your project.
image: maven:latest
stages:
  - build
  - test
  - run
  - deploy
  - postdeploy
build:
  stage: build
  script:
    - mvn compile 
include:
  - template: Code-Quality.gitlab-ci.yml
  - template: Security/Dependency-Scanning.gitlab-ci.yml
  - template: Security/SAST.gitlab-ci.yml
code_quality:
  stage: test
  variables:
    REPORT_FORMAT: html
  artifacts:
    paths: [gl-code-quality-report.json,gl-code-quality-report.html]
variables:
  DAST_WEBSITE: https://coejava-springboot.azurewebsites.net
